Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotation

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDAnnotationWidget

public abstract class PDAnnotation
extends Object
implements COSObjectable

This class represents a PDF annotation.

Version:
  $Revision: 1.7 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static int` | `FLAG_HIDDEN` An annotation flag.
`static int` | `FLAG_INVISIBLE` An annotation flag.
`static int` | `FLAG_LOCKED` An annotation flag.
`static int` | `FLAG_NO_ROTATE` An annotation flag.
`static int` | `FLAG_NO_VIEW` An annotation flag.
`static int` | `FLAG_NO_ZOOM` An annotation flag.
`static int` | `FLAG_PRINTED` An annotation flag.
`static int` | `FLAG_READ_ONLY` An annotation flag.
`static int` | `FLAG_TOGGLE_NO_VIEW` An annotation flag.

Constructor Summary
`PDAnnotation()` Constructor.
`PDAnnotation(COSDictionary dict)` Constructor.

Method Summary
`PDAdditionalActions` | `getActions()` Get the additional actions for this field.
`int` | `getAnnotationFlags()` This will get the flags for this field.
`PDAppearanceDictionary` | `getAppearance()` This will get the appearance dictionary associated with this annotation.
`String` | `getAppearanceStream()` This will get the name of the current appearance stream if any.
`COSBase` | `getCOSObject()` Interface method for COSObjectable.
`COSDictionary` | `getDictionary()` returns the dictionary.
`PDRectangle` | `getRectangle()` The annotation rectangle, defining the location of the annotation on the page in default user space units.
`boolean` | `isHidden()` Get the hidden flag.
`boolean` | `isInvisible()` Get the invisible flag.
`boolean` | `isLocked()` Get the locked flag.
`boolean` | `isNoRotate()` Get the noRotate flag.
`boolean` | `isNoView()` Get the noView flag.
`boolean` | `isNoZoom()` Get the noZoom flag.
`boolean` | `isPrinted()` Get the printed flag.
`boolean` | `isReadOnly()` Get the readOnly flag.
`boolean` | `isToggleNoView()` Get the toggleNoView flag.
`void` | `setActions(PDAdditionalActions actions)` Set the actions of the field.
`void` | `setAnnotationFlags(int flags)` This will set the flags for this field.
`void` | `setAppearance(PDAppearanceDictionary appearance)` This will set the appearance associated with this annotation.
`void` | `setAppearanceStream(String as)` This will set the annotations appearance stream name.
`void` | `setHidden(boolean hidden)` Set the hidden flag.
`void` | `setInvisible(boolean invisible)` Set the invisible flag.
`void` | `setLocked(boolean locked)` Set the locked flag.
`void` | `setNoRotate(boolean noRotate)` Set the noRotate flag.
`void` | `setNoView(boolean noView)` Set the noView flag.
`void` | `setNoZoom(boolean noZoom)` Set the noZoom flag.
`void` | `setPrinted(boolean printed)` Set the printed flag.
`void` | `setReadOnly(boolean readOnly)` Set the readOnly flag.
`void` | `setRectangle(PDRectangle rectangle)` This will set the rectangle for this annotation.
`void` | `setToggleNoView(boolean toggleNoView)` Set the toggleNoView flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_INVISIBLE

    public static final int FLAG_INVISIBLE

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_HIDDEN

    public static final int FLAG_HIDDEN

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_PRINTED

    public static final int FLAG_PRINTED

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_NO_ZOOM

    public static final int FLAG_NO_ZOOM

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_NO_ROTATE

    public static final int FLAG_NO_ROTATE

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_NO_VIEW

    public static final int FLAG_NO_VIEW

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_READ_ONLY

    public static final int FLAG_READ_ONLY

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_LOCKED

    public static final int FLAG_LOCKED

  An annotation flag.

  See Also:
    Constant Field Values

### FLAG_TOGGLE_NO_VIEW

    public static final int FLAG_TOGGLE_NO_VIEW

  An annotation flag.

  See Also:
    Constant Field Values

Constructor Detail

### PDAnnotation

    public PDAnnotation()

  Constructor.

### PDAnnotation

    public PDAnnotation(COSDictionary dict)

  Constructor.

Parameters:
  `dict` - The annotations dictionary.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  returns the dictionary.

  Returns:
    the dictionary

### getRectangle

    public PDRectangle getRectangle()

  The annotation rectangle, defining the location of the annotation on the page in default user space units. This is usually required and should not return null on valid PDF documents. But where this is a parent form field with children, such as radio button collections then the rectangle will be null.

  Returns:
    The Rect value of this annotation.

### setRectangle

    public void setRectangle(PDRectangle rectangle)

  This will set the rectangle for this annotation.

  Parameters:
    `rectangle` - The new rectangle values.

### getAnnotationFlags

    public int getAnnotationFlags()

  This will get the flags for this field.

  Returns:
    flags The set of flags.

### setAnnotationFlags

    public void setAnnotationFlags(int flags)

  This will set the flags for this field.

  Parameters:
    `flags` - The new flags.

### getCOSObject

    public COSBase getCOSObject()

  Interface method for COSObjectable.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    This object as a standard COS object.

### getAppearanceStream

    public String getAppearanceStream()

  This will get the name of the current appearance stream if any.

  Returns:
    The name of the appearance stream.

### setAppearanceStream

    public void setAppearanceStream(String as)

  This will set the annotations appearance stream name.

  Parameters:
    `as` - The name of the appearance stream.

### getAppearance

    public PDAppearanceDictionary getAppearance()

  This will get the appearance dictionary associated with this annotation. This may return null.

  Returns:
    This annotations appearance.

### setAppearance

    public void setAppearance(PDAppearanceDictionary appearance)

  This will set the appearance associated with this annotation.

  Parameters:
    `appearance` - The appearance dictionary for this annotation.

### isInvisible

    public boolean isInvisible()

  Get the invisible flag.

  Returns:
    The invisible flag.

### setInvisible

    public void setInvisible(boolean invisible)

  Set the invisible flag.

  Parameters:
    `invisible` - The new invisible flag.

### isHidden

    public boolean isHidden()

  Get the hidden flag.

  Returns:
    The hidden flag.

### setHidden

    public void setHidden(boolean hidden)

  Set the hidden flag.

  Parameters:
    `hidden` - The new hidden flag.

### isPrinted

    public boolean isPrinted()

  Get the printed flag.

  Returns:
    The printed flag.

### setPrinted

    public void setPrinted(boolean printed)

  Set the printed flag.

  Parameters:
    `printed` - The new printed flag.

### isNoZoom

    public boolean isNoZoom()

  Get the noZoom flag.

  Returns:
    The noZoom flag.

### setNoZoom

    public void setNoZoom(boolean noZoom)

  Set the noZoom flag.

  Parameters:
    `noZoom` - The new noZoom flag.

### isNoRotate

    public boolean isNoRotate()

  Get the noRotate flag.

  Returns:
    The noRotate flag.

### setNoRotate

    public void setNoRotate(boolean noRotate)

  Set the noRotate flag.

  Parameters:
    `noRotate` - The new noRotate flag.

### isNoView

    public boolean isNoView()

  Get the noView flag.

  Returns:
    The noView flag.

### setNoView

    public void setNoView(boolean noView)

  Set the noView flag.

  Parameters:
    `noView` - The new noView flag.

### isReadOnly

    public boolean isReadOnly()

  Get the readOnly flag.

  Returns:
    The readOnly flag.

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Set the readOnly flag.

  Parameters:
    `readOnly` - The new readOnly flag.

### isLocked

    public boolean isLocked()

  Get the locked flag.

  Returns:
    The locked flag.

### setLocked

    public void setLocked(boolean locked)

  Set the locked flag.

  Parameters:
    `locked` - The new locked flag.

### isToggleNoView

    public boolean isToggleNoView()

  Get the toggleNoView flag.

  Returns:
    The toggleNoView flag.

### setToggleNoView

    public void setToggleNoView(boolean toggleNoView)

  Set the toggleNoView flag.

  Parameters:
    `toggleNoView` - The new toggleNoView flag.

### getActions

    public PDAdditionalActions getActions()

  Get the additional actions for this field. This will return null if there are no additional actions for this field.

  Returns:
    The actions of the field.

### setActions

    public void setActions(PDAdditionalActions actions)

  Set the actions of the field.

  Parameters:
    `actions` - The field actions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD